org.icefaces.ace.component.datetimeentry

## Class DateTimeEntryUtils

- java.lang.Object
- - org.icefaces.ace.component.datetimeentry.DateTimeEntryUtils

-     public class DateTimeEntryUtils
      extends java.lang.Object

  Utility class for calendar component

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTimeEntryUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `convertPattern(java.lang.String pattern)` Converts a java date pattern to a jquery date pattern
    `static java.lang.String` | `getDateAsString(DateTimeEntry dateTimeEntry, java.lang.Object date)`
    `static int` | `getTimeZoneOffset(DateTimeEntry dateTimeEntry)`
    `static java.lang.String` | `getValueAsString(javax.faces.context.FacesContext facesContext, DateTimeEntry dateTimeEntry)`
    `static java.lang.String` | `parseTimeZone(java.lang.String pattern, java.util.Locale locale, java.util.TimeZone timeZone)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeEntryUtils

          public DateTimeEntryUtils()

  - ### Method Detail

    - #### getValueAsString

          public static java.lang.String getValueAsString(javax.faces.context.FacesContext facesContext,
                                                          DateTimeEntry dateTimeEntry)

    - #### getDateAsString

          public static java.lang.String getDateAsString(DateTimeEntry dateTimeEntry,
                                                         java.lang.Object date)

    - #### convertPattern

          public static java.lang.String convertPattern(java.lang.String pattern)

      Converts a java date pattern to a jquery date pattern
      Parameters:
        `pattern` - Pattern to be converted
      Returns:
        converted pattern

    - #### parseTimeZone

          public static java.lang.String parseTimeZone(java.lang.String pattern,
                                                       java.util.Locale locale,
                                                       java.util.TimeZone timeZone)

    - #### getTimeZoneOffset

          public static int getTimeZoneOffset(DateTimeEntry dateTimeEntry)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.